Subject: Re: keeping remote branches in sync

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 9 Oct 2008 08:46:37 -0700

Kevin Green <[email-masked]> wrote:
> On 10/09/08 11:16:36, Shawn O. Pearce wrote:
> > I keep meaning to add "git remote prune" logic into "git fetch",
> > e.g. as a "git fetch --prune" option.  fetch has all of the data
> > it needs to implement the prune already in memory, it just doesn't
> > have the loop to do the prune cleanup.
> > 
> > Now that "git remote" is in C it should be easy to share the prune
> > code between them, and make this more automatic.
> 
> That would be great...  And a config option to have it done by default each
> time so '$ git-pull' will just do what we want for our origin remote?

Right.  I think most users would want to set that config option.
git-gui has a config option to enable this prune after fetch
behavior, but its basically just calling "git remote prune" when
fetch is done running.

I think can also work around it with an alias:

	git config --alias fp \
	'! git fetch "$0" "$@" && git remote prune "$0"'

Not bullet proof but it should do the prune for you after it does
the fetch, assuming you fetched from an existing remote and not a
random URL.

-- 
Shawn.